diff --git a/.idea/runConfigurations/Clion_Init_.xml b/.idea/runConfigurations/Clion_Init_.xml
new file mode 100644
index 0000000..f9184c5
--- /dev/null
+++ b/.idea/runConfigurations/Clion_Init_.xml
@@ -0,0 +1,17 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/runConfigurations/Deploy_Extra_x64_.xml b/.idea/runConfigurations/Deploy_Extra_x64_.xml
new file mode 100644
index 0000000..01a4d13
--- /dev/null
+++ b/.idea/runConfigurations/Deploy_Extra_x64_.xml
@@ -0,0 +1,24 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/runConfigurations/Deploy_Extra_x86_.xml b/.idea/runConfigurations/Deploy_Extra_x86_.xml
new file mode 100644
index 0000000..1943362
--- /dev/null
+++ b/.idea/runConfigurations/Deploy_Extra_x86_.xml
@@ -0,0 +1,22 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/runConfigurations/Distribute_Release_.xml b/.idea/runConfigurations/Distribute_Release_.xml
index 92e6fd5..91591e1 100644
--- a/.idea/runConfigurations/Distribute_Release_.xml
+++ b/.idea/runConfigurations/Distribute_Release_.xml
@@ -15,6 +15,11 @@
-
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/runConfigurations/spicetools_cfg.xml b/.idea/runConfigurations/spicetools_cfg.xml
index 274f9f5..50740a7 100644
--- a/.idea/runConfigurations/spicetools_cfg.xml
+++ b/.idea/runConfigurations/spicetools_cfg.xml
@@ -1,5 +1,5 @@
-
+
diff --git a/.idea/runConfigurations/spicetools_spice.xml b/.idea/runConfigurations/spicetools_spice.xml
index f4ccb32..9c8b413 100644
--- a/.idea/runConfigurations/spicetools_spice.xml
+++ b/.idea/runConfigurations/spicetools_spice.xml
@@ -1,5 +1,5 @@
-
+
diff --git a/.idea/runConfigurations/spicetools_spice64.xml b/.idea/runConfigurations/spicetools_spice64.xml
index fdb2a51..66044e6 100644
--- a/.idea/runConfigurations/spicetools_spice64.xml
+++ b/.idea/runConfigurations/spicetools_spice64.xml
@@ -1,5 +1,5 @@
-
+
diff --git a/.idea/runConfigurations/spicetools_spice_laa.xml b/.idea/runConfigurations/spicetools_spice_laa.xml
new file mode 100644
index 0000000..ae2467d
--- /dev/null
+++ b/.idea/runConfigurations/spicetools_spice_laa.xml
@@ -0,0 +1,7 @@
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/runConfigurations/spicetools_stubs_nvEncodeAPI64.xml b/.idea/runConfigurations/spicetools_stubs_nvEncodeAPI64.xml
new file mode 100644
index 0000000..12bea90
--- /dev/null
+++ b/.idea/runConfigurations/spicetools_stubs_nvEncodeAPI64.xml
@@ -0,0 +1,7 @@
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/runConfigurations/spicetools_stubs_nvcuda.xml b/.idea/runConfigurations/spicetools_stubs_nvcuda.xml
new file mode 100644
index 0000000..9c6c228
--- /dev/null
+++ b/.idea/runConfigurations/spicetools_stubs_nvcuda.xml
@@ -0,0 +1,7 @@
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/runConfigurations/spicetools_stubs_nvcuvid.xml b/.idea/runConfigurations/spicetools_stubs_nvcuvid.xml
new file mode 100644
index 0000000..dde83a7
--- /dev/null
+++ b/.idea/runConfigurations/spicetools_stubs_nvcuvid.xml
@@ -0,0 +1,7 @@
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/.idea/vcs.xml b/.idea/vcs.xml
index 6cc311d..35eb1dd 100644
--- a/.idea/vcs.xml
+++ b/.idea/vcs.xml
@@ -2,6 +2,5 @@
-
\ No newline at end of file
diff --git a/cmake.sh b/cmake.sh
index 0c7e540..35da61c 100755
--- a/cmake.sh
+++ b/cmake.sh
@@ -6,7 +6,7 @@
# Hidden build all temporary environment for sourcing
<<__BUILDALLINIT__
-# Auto-config for build_al.sh
+# Auto-config for build_all.sh
GIT_BRANCH=$(git rev-parse --abbrev-ref HEAD 2> /dev/null || echo "none")
GIT_HEAD=$(git rev-parse --short HEAD || echo "none")
BUILD_TYPE=$({ $_G_debug && echo Debug; } || echo Release)
@@ -16,6 +16,7 @@ DIST_NAME="${GIT_BRANCH}-${GIT_HEAD}.zip"
DIST_COMMENT="$(date +%Y)/$(date +%m)/$(date +%d):$(git rev-parse HEAD)"
: ${DIST_ENABLE:=$({ $_G_debug && echo 0; } || echo 1)}
UPX_ENABLE="$DIST_ENABLE"
+IGNORE_CACHE=0
INCLUDE_SRC=0
UPX_FLAGS="-q --best --lzma --compress-exports=0"
CLEAN_BUILD=$({ $_G_clean && echo 1; } || echo 0)
@@ -29,12 +30,14 @@ BUILDDIR_64="$_G_buildir/x64/${BUILD_TYPE}"
__BUILDALLINIT__
run_build_all() {
+ DIST_ENABLE=0
+
# Init build_all.sh
source <(sed -n '/__BUILDALLINIT__/{:a;n;/__BUILDALLINIT__/q;p;$!ba}' "$0")
source <(head -n +20 ./build_all.sh)
# Run build_all.sh
- source <(tail -n +59 ./build_all.sh | head -n -3 | sed 's~.*pushd ${OUTDIR}/.. > /dev/null*~\tpushd ${OUTDIR} > /dev/null~')
+ source <(tail -n +78 ./build_all.sh | head -n -3 | sed -e 's~.*pushd ${OUTDIR}/.. > /dev/null*~\tpushd ${OUTDIR} > /dev/null~' -e 's~mkdir -p ${OUTDIR}/src~~')
}
run_deploy_all() {
@@ -45,7 +48,8 @@ run_deploy_all() {
source <(head -n +20 ./build_all.sh)
# Run deploy in build_all.sh
- source <(tail -n +150 ./build_all.sh | head -n -3 | sed 's~.*pushd ${OUTDIR}/.. > /dev/null*~\tpushd ${OUTDIR} > /dev/null~')
+ set +e
+ source <(tail -n +180 ./build_all.sh | head -n -3 | sed -e 's~.*pushd ${OUTDIR}/.. > /dev/null*~\tpushd ${OUTDIR} > /dev/null~' -e 's~mkdir -p ${OUTDIR}/src~~')
}
run_distribute_all() {
@@ -54,12 +58,12 @@ run_distribute_all() {
source <(head -n +20 ./build_all.sh)
# Run deploy in build_all.sh
- source <(tail -n +150 ./build_all.sh | head -n -3 | sed 's~.*pushd ${OUTDIR}/.. > /dev/null*~\tpushd ${OUTDIR} > /dev/null~')
+ source <(tail -n +180 ./build_all.sh | head -n -3 | sed -e 's~.*pushd ${OUTDIR}/.. > /dev/null*~\tpushd ${OUTDIR} > /dev/null~' -e 's~mkdir -p ${OUTDIR}/src~~')
}
# Sanity checks
[ -d "external/cmake-various/toolchain" ] || { echo "Toolchain not found" ; exit 1; }
-[ "$(md5sum ./build_all.sh | cut -c -32)" = "9a89bba3fa2435983e5bce423d0f4a61" ] || { echo "Version mismatch for build_all.sh " ; exit 1; }
+[ "$(md5sum ./build_all.sh | cut -c -32)" = "a0665866b9aa2a11606cb4765eed97d9" ] || { echo "Version mismatch for build_all.sh " ; exit 1; }
# Run requested task
if [[ $(type -t "run_${1}_${2}") == function ]]; then